.ck-editor__editable,
textarea {
    min-height: 150px;
}

.datatable {
    min-width: 100% !important;
}
.table-wrap {
    width: 2098px;
}
.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #dee2e6;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #dee2e6;
}

.select2 {
    max-width: 100%;
    width: 100%;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

.btn-group-xs > .btn,
.btn-xs {
    padding: 1px 5px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.searchable-title {
    font-weight: bold;
}
.select2-container--open {
    z-index: 9999;
}
.searchable-fields {
    padding-left:5px;
}
.searchable-link {
    padding:0 5px 0 5px;
}
.searchable-link:hover   {
    cursor: pointer;
    background: #eaeaea;
}
.select2-results__option {
    /* padding-left: 0px; */
    padding-right: 0px;
}

.form-group .required::after {
    content: " *";
    color: red;
}

.form-check.is-invalid ~ .invalid-feedback {
    display: block;
}

.dropzone .dz-preview .dz-image img {
    height: 120px !important;
    width: 120px !important;
}

.nav-sidebar .nav-link>.right:nth-child(2),
.nav-sidebar .nav-link>p>.right:nth-child(2) {
    right: 0.8rem !important;
}

.dataTables_processing{
    z-index: 1 !important;
    padding: 0.3em 0 !important;
}

.btn {
    white-space: nowrap !important;
}

.select2-selection.select2-selection--single.custom-is-invalid{
    border-color: #dc3545 !important;
}
.text-capital{
    text-transform: capitalize !important;
}
.text-uppercase{
    text-transform: uppercase !important;
}

.legend-timesheet{
    padding: 0;
}
.legend-timesheet li {
    display: block;
    font-size: 80%;
    list-style: none;
}
.legend-timesheet li span{
    display: block;
    float: left;
    height: 15px;
    width: 25px;
    margin-right: 5px;
}
.date-weekend {
    background-color: rgba(23, 162, 184, 0.15) !important;
}
.date-holiday {
    background-color:rgb(220, 53, 69, .15) !important;
}
.date-holiday-inlieu {
    background-color: rgb(255, 193, 7, .15) !important;
}


dl.dl-horizontal {
    width: 100%;
    overflow: hidden;
    padding: 0;
    margin: 0
}
dl.dl-horizontal dt {
    width: 30%;
    float: left;
    padding: 0;
    margin: 0 20px 0 0;
    text-align: right;
}
dl.dl-horizontal dd {
    padding: 0;
    margin: 0;
    overflow: auto;
}
dl.dl-horizontal dt input {
    margin-left: 5px;
}

/* .sidebar-mini .brand-link{
    white-space: normal !important;
}
.sidebar-mini.sidebar-collapse .brand-link{
    white-space: nowrap !important;
}
*/


.sidebar-mini .brand-link .brand-text{
    visibility: visible;
}
.sidebar-mini.sidebar-collapse .brand-link .brand-text{
    visibility: hidden;
}

.sidebar-mini .brand-link .brand-text-mini{
    visibility: hidden;
    position: absolute;
}
.sidebar-mini.sidebar-collapse .brand-link .brand-text-mini{
    visibility: visible;
}

.main-sidebar:hover > .brand-link > .brand-text-mini{
    visibility: hidden;
    position: absolute;
}
.main-sidebar:hover > .brand-link > .brand-text{
    visibility: visible;
    /* white-space: normal !important; */
}
.dataTables_scrollBody{
    overflow: unset !important;
}


img.home-avatar {
    display: inline-block;
    font-family: Arial, sans-serif;
    font-weight: 300;
    line-height: 2;
    text-align: center;
    min-height: 150px;
    position: relative;
}
img.home-avatar::before {
    content: '';
    width: calc(100% - 5px);
    height: calc(100% - 8px);
    background-color: #EEE;
    border-radius: 0.25rem;
    position: absolute;
    top: 50%;
    left: 2.25px;
    transform: translateY(-50%);
}

.select2-container--bootstrap .select2-selection--single {
    height: 38px;
}